/* Hero */
.hero{
  width: 100%;
  height: 50vh;
  max-height: 300px;
  min-height: 150px;
}

.work-title{
  margin: -30px auto;
  text-align: center;
  max-width: 600px;

}

.midashi_sage{
  margin-top: 20px;  
  margin-bottom: -5px;
}


.section-title{
  text-align: center;
}
.section-title::after {
  content: "";
  position: absolute;
  left: 50%;                 /* 中央基準にする */
  bottom: 3px;
  width: 60px;
  height: 1px;
  background: #09BECE;
  transform: translateX(-50%) scaleX(0);  /* 横位置を中央補正 */
  transform-origin: center;
  transition: transform 0.8s ease 0.2s;
}
.section-title.is-visible::after {
  transform: translateX(-50%) scaleX(4);
}
.section-title {
  transition-delay: 0.1s;
}

/* Grid共通 */
.grid {
  display: grid;
  gap: 24px;
}

/* 書影（縦長） */
.books-grid {
  grid-template-columns: repeat(auto-fit, 120px);
  justify-content: center;
  max-width: 1000px;
  margin: 0 auto;
}

.books-grid img {
  width: 100%;
  height: auto;
}

/* 正方形系 */
.square-grid {
  grid-template-columns: repeat(5, 1fr);
}

.square-grid img,
.placeholder {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.placeholder {
  background: #eee;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  text-align: center;
}

/* Other */
.other-grid {
  grid-template-columns: repeat(3, 1fr);
}

.other-card img {
  width: 100%;
  height: auto;
}

/* Video */
.video-wrapper {
  max-width: 680px;
  margin: 0px auto;
}
.video-wrapper iframe {
  width: 100%;
  aspect-ratio: 16 / 9;
}

/* SP */
@media (max-width: 768px) {

  .books-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .square-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .other-grid {
    grid-template-columns: 1fr;
  }

  .story-text {
    text-align: left;
  }
}